%define upstream_name    Test-Moose-More
%define upstream_version 0.037

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    More tools for testing Moose packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Syntax::Keyword::Junction)
BuildRequires: perl(TAP::SimpleOutput) >= 0.2.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(aliased)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace the Test::Moose
manpage in your tests, and reexports any tests that it has and we do not,
yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.37.0-3pclos2017
- rebuild against updates

